## `string::shrink_to_fit`

Request the removal of unused capacity.

### Synopsis

    void
    shrink_to_fit();

### Description

This performs a non-binding request to reduce `capacity()` to `size()`. The request may or may not be fulfilled.

| If reallocation occurs, all iterators including any past-the-end iterators, and all references to characters are invalidated. Otherwise, no iterators or references are invalidated.

### Complexity

At most, linear in `size()`.

Edit this page